View Issue Details

IDProjectCategoryView StatusLast Update
0004695ScribusStory Editor / Text Framespublic2006-12-16 23:35
Reportercbradney Assigned Toavox  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.4cvs 
Target VersionFixed in Version1.3.4cvs 
Summary0004695: Cursor seems to stop blinking when using arrows to go past a tab
Descriptiontab between 2nd and 3rd column of 4694's file
TagsNo tags attached.
Patch

Relationships

child of 0003157 acknowledged Metabug: Cursor placement fixes 

Activities

avox

2006-12-16 18:30

administrator   ~0013964

Now why should BuildTree be called when I press an arrow key?

Breakpoint 1, Tree::BuildTree (this=0x15f79500) at /Users/vox/scribus-dev/ScribusCVS/scribus/tree.cpp:562
562 if (!m_MainWindow || m_MainWindow->ScriptRunning)
(gdb) bt
#0 Tree::BuildTree (this=0x15f79500) at /Users/vox/scribus-dev/ScribusCVS/scribus/tree.cpp:562
0000001 0x005bd364 in ScribusMainWindow::slotDocCh (this=0xa023800) at /Users/vox/scribus-dev/ScribusCVS/scribus/scribus.cpp:3037
0000002 0x00631d54 in ScribusMainWindow::keyPressEvent (this=0xa023800, k=0xbfffe9e0) at /Users/vox/scribus-dev/ScribusCVS/scribus/scribus.cpp:1686
0000003 0xb2117264 in QWidget::event (this=0xa023800, e=0xbfffe9e0) at kernel/qwidget.cpp:4723
0000004 0xb220c9d8 in QMainWindow::event (this=0xa023800, e=0xbfffe9e0) at widgets/qmainwindow.cpp:1686


And why does BuildTree set all items to 'invalid' ?

avox

2006-12-16 20:51

administrator   ~0013966

remove "invalid=true" from tree.cpp.

It now works on OSX, can you test on other platforms?

Issue History

Date Modified Username Field Change
2006-12-03 20:02 cbradney New Issue
2006-12-03 20:02 cbradney Status new => assigned
2006-12-03 20:02 cbradney Assigned To => avox
2006-12-16 18:30 avox Note Added: 0013964
2006-12-16 20:51 avox Status assigned => resolved
2006-12-16 20:51 avox Fixed in Version => 1.3.4cvs
2006-12-16 20:51 avox Resolution open => fixed
2006-12-16 20:51 avox Note Added: 0013966
2006-12-16 23:35 cbradney Status resolved => closed
2007-05-23 21:16 christoph_s Relationship added child of 0003157
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames